List campaigns

View as Markdown
List campaigns in the workspace with optional filtering by status, search, sorting, and pagination.

Path parameters

org_idstringRequired
workspace_idstringRequired

Query parameters

campaign_statusenum or nullOptional

Campaign lifecycle status: scheduledactiveended. Can be paused or cancelled at any point.

Allowed values:
offsetintegerOptional>=0Defaults to 0
Number of records to skip
limitintegerOptional1-100Defaults to 10

Number of records to return (max 100)

sort_bystring or nullOptionalDefaults to created_at
Field to sort by
sort_orderstring or nullOptionalDefaults to desc

Sort order (asc or desc)

searchstring or nullOptional
Search query string

Response

Successful Response
itemslist of objects
List of campaigns on this page
totalinteger
Total number of campaigns matching the query
limitinteger
Maximum number of items per page
offsetinteger
Number of items skipped
next_page_uristring or null
URI to fetch the next page, or null if this is the last page
prev_page_uristring or null
URI to fetch the previous page, or null if this is the first page

Errors

422
Unprocessable Entity Error